Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.snalu62.api
Class SNAConstants.SNAReceiveTypes

    java.lang.Object
      com.stc.connector.snalu62.api.SNAConstants.SNAReceiveTypes

Enclosing class:
  SNAConstants

    public static class SNAConstants.SNAReceiveTypes

extends java.lang.Object

`SNAReceiveTypes` class represents all receive types:

  `CM_RECEIVE_AND_WAIT`
  `CM_RECEIVE_IMMEDIATE`

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2007/12/12 00:11:32 $
Author:
  Harry Liu (harryliu@seebeyond.com)

Field Summary
`static int` | `CM_RECEIVE_AND_WAIT`
`static int` | `CM_RECEIVE_IMMEDIATE`

Constructor Summary
`SNAConstants.SNAReceiveTypes()`

Method Summary
`static int` | `getCM_RECEIVE_AND_WAIT()`
`static int` | `getCM_RECEIVE_IMMEDIATE()`
`static java.lang.String` | `getReceiveTypeString(int receiveType)` Returns the receiveType as String

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CM_RECEIVE_AND_WAIT

    public static final int CM_RECEIVE_AND_WAIT

See Also:
  Constant Field Values

### CM_RECEIVE_IMMEDIATE

    public static final int CM_RECEIVE_IMMEDIATE

See Also:
  Constant Field Values

Constructor Detail

### SNAConstants.SNAReceiveTypes

    public SNAConstants.SNAReceiveTypes()

Method Detail

### getCM_RECEIVE_AND_WAIT

    public static final int getCM_RECEIVE_AND_WAIT()

  Returns:
    CM_RECEIVE_AND_WAIT

### getCM_RECEIVE_IMMEDIATE

    public static final int getCM_RECEIVE_IMMEDIATE()

  Returns:
    CM_RECEIVE_IMMEDIATE

### getReceiveTypeString

    public static final java.lang.String getReceiveTypeString(int receiveType)

  Returns the receiveType as String

  Parameters:
    `receiveType` - The receiveType in int
  Returns:
    The receiveType as String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.